version: 1

workflow:
  - name: Fetch & template terraform module
    actions:
      - import:
          source: !gitlab
            repo: vigigloo/templates/terraform-tool
            ref: v0.0.1
      - template:
          engine: tera
          glob: '**/{*.tf,VERSION}'
          variables:
            name: Listmonk
            slug: listmonk
            gitlab_project_id: $CI_PROJECT_ID
      - output:
          path: terraform_module
